## waagent 2.12.0.2

=== tests_e2e/GuestAgentDcrTestExtension/Makefile ===
default: build

build:
	$(eval NAME    = $(shell grep -Pom1 "(?<=<Type>)[^<]+" manifest.xml))
	$(eval VERSION = $(shell grep -Pom1 "(?<=<Version>)[^<]+" manifest.xml))

	@echo "Building '$(NAME)-$(VERSION).zip' ..."
	zip -r9 $(NAME)-$(VERSION).zip *

## waagent 1.3.2

=== debian/changelog ===
waagent (1.3.2-1) unstable; urgency=low

  * New upstream release:
    - dvd provisionning fixes
    - improve system commands handling
  * Add python-pyasn1 requires in order to get working ssh fingerprint
  support
  * Kill prerm script
  * Fix postrm script (Closes: #704741)
  * Make sure that everything is removed on purge.
  * Fix fdisk check to make it locale independent

 -- Arnaud Patard <apatard@hupstream.com>  Thu, 07 Mar 2013 14:23:14 +0100

waagent (1.2-1) unstable; urgency=low

  * Initial import (Closes: #695575)

 -- Arnaud Patard <apatard@hupstream.com>  Mon, 10 Dec 2012 09:22:45 +0100

=== debian/control ===
Source: waagent
Section: admin
Priority: extra
Maintainer: Arnaud Patard <apatard@hupstream.com>
Build-Depends: debhelper (>= 8.0.0), python-all
Standards-Version: 3.9.4
Homepage: https://github.com/Windows-Azure/WALinuxAgent/


Package: waagent
Architecture: amd64
Depends: ${misc:Depends}, ${python:Depends}, iptables, openssh-server, openssl, sudo, net-tools, python-pyasn1
Conflicts: network-manager
Description: Windows Azure Linux Agent
 The Windows Azure Linux Agent (waagent) manages VM interaction with the Windows
 Azure Fabric Controller.

=== debian/watch ===
version=3
https://github.com/Windows-Azure/WALinuxAgent/tags	.*/WALinuxAgent-([\d\.]+)\.tar\.gz	debian uupdate

## waagent 2.2.14

=== debian/changelog ===
waagent (2.2.14-1~deb9u1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bastian Blank <waldi@debian.org>  Fri, 06 Oct 2017 10:03:29 +0200

waagent (2.2.14-1~deb9u1) stretch; urgency=medium

  * Upload to stretch.

 -- Bastian Blank <waldi@debian.org>  Wed, 27 Sep 2017 09:34:43 +0200

waagent (2.2.14-1) unstable; urgency=medium

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Fri, 18 Aug 2017 13:38:17 +0200

waagent (2.2.12-3) unstable; urgency=medium

  * Revert waagent2.0 handling.
  * Add Vcs source entries.
  * Add minimal mirror selection for apt sources.list.

 -- Bastian Blank <waldi@debian.org>  Thu, 17 Aug 2017 15:04:48 +0200

waagent (2.2.12-2) unstable; urgency=medium

  * Install waagent2.0 in /usr/lib.
  * Disable byte-code writing in extentions handlers.

 -- Bastian Blank <waldi@debian.org>  Fri, 07 Jul 2017 17:24:34 +0200

waagent (2.2.12-1) unstable; urgency=medium

  * New upstream version.

 -- Bastian Blank <bastian.blank@credativ.de>  Mon, 29 May 2017 10:54:06 +0200

waagent (2.2.2-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bastian Blank <bastian.blank@credativ.de>  Wed, 12 Apr 2017 09:05:00 +0200

waagent (2.2.2-2) unstable; urgency=medium

  * Make sure tests packages is not included.
  * Fix deprovision. (closes: #860019)

 -- Bastian Blank <bastian.blank@credativ.de>  Mon, 10 Apr 2017 13:14:40 +0200

waagent (2.2.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Make sure tests packages is not included.

 -- Bastian Blank <bastian.blank@credativ.de>  Mon, 30 Jan 2017 11:20:23 +0100

waagent (2.2.2-1) unstable; urgency=medium

  * New upstream version.
  * Use Python 3.
  * Extend Debian support.
  * Drop cloud-init use:
    - Conflict against cloud-init.
    - Drop upgrade code.
  * Split walinuxagent.service:
    - Add waagent-resourcedisk.service:
      Format and mount resourcedisk before local-fs.target.
    - Add waagent-provision.service:
      Run complete provisioning while blocking the boot.
  * Replace check for resourcedisk setup with blkid calls.

 -- Bastian Blank <bastian.blank@credativ.de>  Wed, 18 Jan 2017 13:36:20 +0100

waagent (2.2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Bastian Blank <bastian.blank@credativ.de>  Wed, 05 Oct 2016 14:10:15 +0200

waagent (2.1.6-1) unstable; urgency=medium

  * New upstream version.

 -- Bastian Blank <bastian.blank@credativ.de>  Wed, 24 Aug 2016 16:48:22 +0200

waagent (2.1.4-2) unstable; urgency=medium

  * Depend on eject.

 -- Bastian Blank <bastian.blank@credativ.de>  Thu, 09 Jun 2016 13:33:02 +0200

waagent (2.1.4-1) unstable; urgency=medium

  * New upstream version.
  * Fill cloud-init information if none already exist.
  * Start service after network.target.

 -- Bastian Blank <bastian.blank@credativ.de>  Thu, 02 Jun 2016 14:07:58 +0200

waagent (2.1.3-3) unstable; urgency=medium

  * Don't longer disable hostname bounce.

 -- Bastian Blank <bastian.blank@credativ.de>  Thu, 10 Mar 2016 13:49:23 +0100

waagent (2.1.3-2) unstable; urgency=medium

  * Handle upgrades to cloud-init. (closes: #814513)

 -- Bastian Blank <bastian.blank@credativ.de>  Fri, 04 Mar 2016 17:06:16 +0100

waagent (2.1.3-1) unstable; urgency=medium

  * New upstream version.
  * Only create /var/lib/waagent on initial installation

 -- Bastian Blank <bastian.blank@credativ.de>  Thu, 11 Feb 2016 16:40:04 +0100

waagent (2.1.2-1) unstable; urgency=medium

  * New upstream version.
  * Depend on host, needed by Microsofts custom script stuff.
  * Use cloud-init:
    - Use Ubuntu provisioning handler, disable provisioning.
    - Depend on new enough version of cloud-init.
    - Update dependencies in init script and service.
    - Disable recursive agent invocation and hostname bounce in clout-init.

 -- Bastian Blank <bastian.blank@credativ.de>  Mon, 01 Feb 2016 13:11:28 +0100

waagent (2.1.0-3) unstable; urgency=medium

  * Completely drop cloud-init usage. (closes: #800957)
  * Depend on ca-certificates and parted.
  * Create /var/lib/waagent with restricted permissions.
  * Drop /var/lib/waagent during remove.

 -- Bastian Blank <bastian.blank@credativ.de>  Thu, 22 Oct 2015 08:14:17 +0200

waagent (2.1.0-2) unstable; urgency=medium

  * Ignore missing certificate (ssh key).
  * Rename init-script/systemd-server again.
  * Fix service dependencies.

 -- Bastian Blank <bastian.blank@credativ.de>  Wed, 30 Sep 2015 12:12:58 +0200

waagent (2.1.0-1) unstable; urgency=medium

  * New upstream version.
  * Hijack package.
  * Not longer try to install systemd stuff by package setup.
  * Use own systemd service, use dh-systemd.
  * Use own init script.
  * Remove unused python3 support.
  * Remove old postinst, postrm script.
  * Remove upstart support, "It's dead, Jim".
  * Make package arch-all.
  * Disable environment monitor.

 -- Bastian Blank <bastian.blank@credativ.de>  Thu, 30 Jul 2015 13:27:01 +0200

waagent (2.0.8-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #739153)
  * debian/watch
    - update upstream source URL
  * debian/control
    - update Homepage: field
    - set Standards-Version: 3.9.6
    - add "Build-Depends: python-setuptools" to avoid FTBFS
    - set "Build-Depends: debhelper (>= 9)"
    - add "Build-Depends: dh-python"
    - add "Build-Depends: python3-all"
    - add "X-Python-Version: all"
    - update description from upstream README
    - add "Conflicts: walinuxagent"
  * remove debian/waagent.install since setup.py installs necessary files to
    debian/waagent directory
  * add debian/init.d to install init for sysvinit system
  * debian/copyright
    - correct license name, Apache-2.0
  * debian/patches
    - drop waagent-fdisk-locale.patch: merged upstream
  * debian/rules
    - add override_dh_auto_install to specify "--init-system=systemd" for
      setup.py
  * debian/compat
    - set 9
  * debian/upstart


=== debian/control ===
Source: waagent
Section: admin
Priority: extra
Maintainer: Bastian Blank <bastian.blank@credativ.de>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 dh-systemd,
 python3,
 python3-setuptools,
Standards-Version: 3.9.6
Homepage: https://github.com/Azure/WALinuxAgent
Vcs-Browser: https://gitlab.com/waldi/waagent
Vcs-Git: https://gitlab.com/waldi/waagent.git

Package: waagent
Architecture: all
Depends:
 ${misc:Depends}, ${python3:Depends},
 python3-pkg-resources,
 ca-certificates,
 eject,
 host,
 iptables,
 openssh-server,
 openssl,
 parted,
 sudo,
 net-tools,
Conflicts: cloud-init, network-manager, walinuxagent
Description: Windows Azure Linux Agent
 The Windows Azure Linux Agent (waagent) manages VM interaction with the Windows
 Azure Fabric Controller. It provides the following functionality for IaaS 
 deployments:
 .
  * Image Provisioning
    - Creation of a user account
    - Configuring SSH authentication types
    - Deployment of SSH public keys and key pairs
    - Setting the host name
    - Publishing the host name to the platform DNS
    - Reporting SSH host key fingerprint to the platform
    - Resource Disk Management
    - Formatting and mounting the resource disk
    - Configuring swap space
 .
  * Networking
    - Manages routes to improve compatibility with platform DHCP servers
    - Ensures the stability of the network interface name
 .
  * Kernel
    - Configure virtual NUMA (disable for kernel <2.6.37)
    - Consume Hyper-V entropy for /dev/random
    - Configure SCSI timeouts for the root device (which could be remote)
 .
  * Diagnostics
    - Console redirection to the serial port
 .
  * SCVMM Deployments
    - Detect and bootstrap the VMM agent for Linux when running in a System
      Center Virtual Machine Manager 2012R2 environment
 .
  * VM Extension
    - Inject component authored by Microsoft and Partners into Linux VM (IaaS)
      to enable software and configuration automation
      see https://github.com/Azure/azure-linux-extensions

## waagent 2.2.18

=== debian/changelog ===
waagent (2.2.18-3~deb9u2) stretch-security; urgency=high

  * Set proper access rights on swap file.
    CVE-2019-0804

 -- Bastian Blank <bastian.blank@credativ.de>  Tue, 12 Mar 2019 09:39:13 +0100

waagent (2.2.18-3~deb9u1) stretch; urgency=high

  * Upload to stretch.

 -- Bastian Blank <bastian.blank@credativ.de>  Mon, 04 Dec 2017 15:21:16 +0100

waagent (2.2.18-3) unstable; urgency=medium

  * Move udev rules to /lib/udev. (closes: #856065)
  * Set priority to optional.

 -- Bastian Blank <bastian.blank@credativ.de>  Mon, 27 Nov 2017 09:07:13 +0100

waagent (2.2.18-2) unstable; urgency=medium

  * Create /var/lib/waagent with mode 0700. (closes: #878951)

 -- Bastian Blank <bastian.blank@credativ.de>  Tue, 21 Nov 2017 09:28:39 +0100

waagent (2.2.18-1) unstable; urgency=medium

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Wed, 04 Oct 2017 11:51:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: waagent
 Section: admin
-Priority: extra
+Priority: optional
 Maintainer: Bastian Blank <bastian.blank@credativ.de>
 Build-Depends:
  debhelper (>= 9),

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_INSTALL_ARGS=--install-scripts /usr/sbin

%:
	dh $@ --with python3,systemd --buildsystem pybuild

override_dh_auto_install:
	dh_auto_install
	rm -r debian/waagent/etc/rc.d
	rm -rf debian/waagent/usr/lib/python3*/dist-packages/tests/

override_dh_auto_clean:
	dh_auto_clean
	rm -rf AzureLinuxAgent.egg-info

override_dh_installinit:
	dh_installinit -p waagent --name walinuxagent

override_dh_systemd_enable:
	dh_systemd_enable -p waagent --name walinuxagent
	dh_systemd_enable -p waagent --name waagent-apt
	dh_systemd_enable -p waagent --name waagent-provision
	dh_systemd_enable -p waagent --name waagent-resourcedisk

override_dh_systemd_start:
	dh_systemd_start -p waagent --name walinuxagent
	dh_systemd_start -p waagent --name waagent-apt
	dh_systemd_start -p waagent --name waagent-provision
	dh_systemd_start -p waagent --name waagent-resourcedisk

## waagent 2.2.34

=== debian/changelog ===
waagent (2.2.34-4) unstable; urgency=medium

  * Fix stray backup file due to incorrect sed call. (closes: #928179)

 -- Bastian Blank <bastian.blank@credativ.de>  Mon, 29 Apr 2019 16:45:57 +0200

waagent (2.2.34-3) unstable; urgency=medium

  * Set proper access rights on swap file.
    CVE-2019-0804

 -- Bastian Blank <bastian.blank@credativ.de>  Tue, 12 Mar 2019 09:34:51 +0100

waagent (2.2.34-2) unstable; urgency=medium

  * Disable all tests, they need a real system. (closes: #918943)

 -- Bastian Blank <bastian.blank@credativ.de>  Wed, 16 Jan 2019 15:03:03 +0100

waagent (2.2.34-1) unstable; urgency=medium

  * New upstream version.

 -- Bastian Blank <bastian.blank@credativ.de>  Thu, 10 Jan 2019 09:49:51 +0100

waagent (2.2.26-1) unstable; urgency=medium

  * New upstream version.
  * Update Vcs entries to point to salsa.debian.org.
  * Disable agent auto update. (closes: #887704)

 -- Bastian Blank <bastian.blank@credativ.de>  Tue, 29 May 2018 14:53:21 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
  python3-setuptools,
 Standards-Version: 3.9.6
 Homepage: https://github.com/Azure/WALinuxAgent
-Vcs-Browser: https://gitlab.com/waldi/waagent
-Vcs-Git: https://gitlab.com/waldi/waagent.git
+Vcs-Browser: https://salsa.debian.org/waldi/waagent
+Vcs-Git: https://salsa.debian.org/waldi/waagent.git
 
 Package: waagent
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,10 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	rm -r debian/waagent/etc/rc.d
 	rm -rf debian/waagent/usr/lib/python3*/dist-packages/tests/
+
+override_dh_auto_test:
+	true
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/watch ===
version=3
https://github.com/Azure/WALinuxAgent/releases	/Azure/WALinuxAgent/archive/WALinuxAgent-([\d\.]+)\.tar\.gz	debian uupdate

## waagent 2.2.45

=== debian/changelog ===
waagent (2.2.45-4~deb10u1) buster; urgency=medium

  * Upload to buster.

 -- Bastian Blank <bastian.blank@credativ.de>  Mon, 27 Apr 2020 08:45:24 +0200

waagent (2.2.45-4) unstable; urgency=medium

  * Build-depend on required python3-distro. (closes: #954492)

 -- Bastian Blank <bastian.blank@credativ.de>  Fri, 27 Mar 2020 14:41:41 +0100

waagent (2.2.45-3) unstable; urgency=medium

  * Disable resource disk if cloud-init is enabled.
  * Open log before trying to log anything.
  * Make compatible with Python 3.8.

 -- Bastian Blank <bastian.blank@credativ.de>  Thu, 19 Mar 2020 16:13:51 +0100

waagent (2.2.45-2) unstable; urgency=medium

  * Use new source format.
  * Fix resource disk setup.

 -- Bastian Blank <bastian.blank@credativ.de>  Mon, 20 Jan 2020 16:34:23 +0100

waagent (2.2.45-1) unstable; urgency=medium

  * New upstream version. (closes: #911701)
  * Support co-installation with cloud-init.

 -- Bastian Blank <bastian.blank@credativ.de>  Fri, 06 Dec 2019 14:00:41 +0100

waagent (2.2.41-1) unstable; urgency=medium

  * New upstream version.

 -- Bastian Blank <bastian.blank@credativ.de>  Thu, 08 Aug 2019 16:05:11 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  dh-python,
  dh-systemd,
  python3,
+ python3-distro,
  python3-setuptools,
 Standards-Version: 3.9.6
 Homepage: https://github.com/Azure/WALinuxAgent
@@ -27,7 +28,7 @@
  parted,
  sudo,
  net-tools,
-Conflicts: cloud-init, network-manager, walinuxagent
+Conflicts: network-manager, walinuxagent
 Description: Windows Azure Linux Agent
  The Windows Azure Linux Agent (waagent) manages VM interaction with the Windows
  Azure Fabric Controller. It provides the following functionality for IaaS

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,31 @@
 #!/usr/bin/make -f
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+include /usr/share/dpkg/default.mk
 
 export PYBUILD_INSTALL_ARGS=--install-scripts /usr/sbin
 
 %:
 	dh $@ --with python3,systemd --buildsystem pybuild
+
+git-source: TAR_ORIG=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz
+git-source: TAR_DEBIAN=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM_REVISION).debian.tar.xz
+git-source: CHANGES=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM_REVISION)_source.changes
+git-source:
+	pristine-lfs checkout -o .. $(TAR_ORIG)
+	mkdir -p debian/patches debian/source
+	git diff v$(DEB_VERSION_UPSTREAM) -- . ':!debian' > debian/patches/debian-changes
+	echo debian-changes > debian/patches/series
+	echo '3.0 (quilt)' > debian/source/format
+	tar -caf ../$(TAR_DEBIAN) debian
+	dpkg-source --build --format='3.0 (custom)' --target-format='3.0 (quilt)' . $(TAR_ORIG) $(TAR_DEBIAN)
+	dpkg-genchanges -S > ../$(CHANGES)
+
+git-orig: TAR_ORIG=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz
+git-orig:
+	git archive --format tar --prefix $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/ v$(DEB_VERSION_UPSTREAM) | xz > ../$(TAR_ORIG)
+	pristine-lfs commit ../$(TAR_ORIG)
 
 override_dh_auto_install:
 	dh_auto_install

## waagent 2.2.47

=== debian/changelog ===
waagent (2.2.47-2) unstable; urgency=medium

  * Use debhelper compat level 13.
  * Remove build-dep on dh-systemd. (closes: #958633)
  * Use declarative python3 dh sequence.

 -- Bastian Blank <bastian.blank@credativ.de>  Wed, 19 Aug 2020 16:06:40 +0200

waagent (2.2.47-1) unstable; urgency=medium

  * New upstream version.
  * Remove recurring message for disabled auto-update.
  * Depend on fdisk. (closes: #872113)

 -- Bastian Blank <bastian.blank@credativ.de>  Wed, 13 May 2020 12:46:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: optional
 Maintainer: Bastian Blank <bastian.blank@credativ.de>
 Build-Depends:
- debhelper (>= 9),
- dh-python,
- dh-systemd,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  python3,
  python3-distro,
  python3-setuptools,
@@ -21,6 +20,7 @@
  python3-pkg-resources,
  ca-certificates,
  eject,
+ fdisk | util-linux (<< 2.29.2-3~),
  host,
  iptables,
  openssh-server,

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export PYBUILD_INSTALL_ARGS=--install-scripts /usr/sbin
 
 %:
-	dh $@ --with python3,systemd --buildsystem pybuild
+	dh $@ --buildsystem pybuild
 
 git-source: TAR_ORIG=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz
 git-source: TAR_DEBIAN=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM_REVISION).debian.tar.xz
@@ -41,14 +41,8 @@
 override_dh_installinit:
 	dh_installinit -p waagent --name walinuxagent
 
-override_dh_systemd_enable:
-	dh_systemd_enable -p waagent --name walinuxagent
-	dh_systemd_enable -p waagent --name waagent-apt
-	dh_systemd_enable -p waagent --name waagent-provision
-	dh_systemd_enable -p waagent --name waagent-resourcedisk
-
-override_dh_systemd_start:
-	dh_systemd_start -p waagent --name walinuxagent
-	dh_systemd_start -p waagent --name waagent-apt
-	dh_systemd_start -p waagent --name waagent-provision
-	dh_systemd_start -p waagent --name waagent-resourcedisk
+override_dh_installsystemd:
+	dh_installsystemd -p waagent --name walinuxagent
+	dh_installsystemd -p waagent --name waagent-apt
+	dh_installsystemd -p waagent --name waagent-provision
+	dh_installsystemd -p waagent --name waagent-resourcedisk

## waagent 2.7.3.0

=== debian/changelog ===
waagent (2.7.3.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:56:30 +0200

waagent (2.7.3.0-4) unstable; urgency=medium

  * Fix support for Kali Linux.  (closes: #1018288)

 -- Bastian Blank <bastian.blank@credativ.de>  Tue, 04 Oct 2022 09:52:50 +0200

waagent (2.7.3.0-3) unstable; urgency=medium

  * Downgrade cloud-init to suggests, otherwise it's installed on existing
    systems.

 -- Bastian Blank <bastian.blank@credativ.de>  Wed, 28 Sep 2022 13:25:58 +0200

waagent (2.7.3.0-2) unstable; urgency=medium

  * Always use cloud-init for provisioning.

 -- Bastian Blank <bastian.blank@credativ.de>  Mon, 05 Sep 2022 15:36:56 +0200

waagent (2.7.3.0-1) unstable; urgency=medium

  * New upstream version.
  * Properly require distro module.
  * Disable provisioning support completely.

 -- Bastian Blank <bastian.blank@credativ.de>  Wed, 17 Aug 2022 15:53:09 +0200

waagent (2.6.0.2-1) unstable; urgency=medium

  * New upstream version.

 -- Bastian Blank <bastian.blank@credativ.de>  Thu, 20 Jan 2022 12:01:44 +0100

waagent (2.3.1.1-1) unstable; urgency=medium

  * New upstream version.

 -- Bastian Blank <bastian.blank@credativ.de>  Mon, 06 Sep 2021 11:56:54 +0200

=== debian/control ===
Source: waagent
Section: admin
Priority: optional
Maintainer: Bastian Blank <bastian.blank@credativ.de>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3,
 python3-distro,
 python3-setuptools,
Standards-Version: 3.9.6
Homepage: https://github.com/Azure/WALinuxAgent
Vcs-Browser: https://salsa.debian.org/waldi/waagent
Vcs-Git: https://salsa.debian.org/waldi/waagent.git

Package: waagent
Architecture: all
Depends:
 ${misc:Depends}, ${python3:Depends},
 python3-pkg-resources,
 ca-certificates,
 openssl,
Suggests:
 cloud-init,
 eject,
 fdisk | util-linux (<< 2.29.2-3~),
 iptables,
 openssh-server,
 parted,
 sudo,
Conflicts: network-manager, walinuxagent
Description: Windows Azure Linux Agent
 The Windows Azure Linux Agent (waagent) manages VM interaction with the Windows
 Azure Fabric Controller. It provides the following functionality for IaaS 
 deployments:
 .
  * VM Extension
    - Inject component authored by Microsoft and Partners into Linux VM (IaaS)
      to enable software and configuration automation
      see https://github.com/Azure/azure-linux-extensions
 .
 Provisioning is done by cloud-init.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

export PYBUILD_INSTALL_ARGS=--install-scripts /usr/sbin

%:
	dh $@ --buildsystem pybuild

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/waagent/usr/lib/python3*/dist-packages/tests/

override_dh_auto_test:
	true

override_dh_auto_clean:
	dh_auto_clean
	rm -rf AzureLinuxAgent.egg-info

override_dh_installinit:
	dh_installinit -p waagent --name walinuxagent

override_dh_installsystemd:
	dh_installsystemd -p waagent --name walinuxagent

## waagent 2.12.0.2

=== debian/changelog ===
waagent (2.12.0.2-4) unstable; urgency=medium

  * Remove !nocheck conditional on python3-crypt-r build-dep (Closes: #1116925)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 02 Oct 2025 15:41:35 -0400

waagent (2.12.0.2-3) unstable; urgency=medium

  * Add python3-crypt-r to runtime dependencies, not just build-deps

 -- Noah Meyerhans <noahm@debian.org>  Tue, 22 Apr 2025 14:32:30 -0400

waagent (2.12.0.2-2) unstable; urgency=medium

  * Re-work a flakey test to be more reliable
  * Use the crypt module from crypt_r (Closes: #1092518)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 18 Apr 2025 13:31:27 -0400

waagent (2.12.0.2-1) unstable; urgency=medium

  * New upstream version
  * Update debian/watch

 -- Noah Meyerhans <noahm@debian.org>  Thu, 14 Nov 2024 12:05:48 -0500

waagent (2.12.0.2~pre-3) unstable; urgency=medium

  * Add mount to build-deps (Closes: #1086013)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 28 Oct 2024 16:45:26 -0400

waagent (2.12.0.2~pre-2) unstable; urgency=medium

  * Add openssl to build-deps for tests (Closes: #1085958)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 24 Oct 2024 15:41:09 -0400

waagent (2.12.0.2~pre-1) unstable; urgency=medium

  * New upstream pre-release version 2.12.0.2 (Closes: #1083284, #1081679)
  * Fix distro detection logic to avoid upstream bug #3214
  * stop ignoring dh_auto_test failures
  * Skip several tests that cannot pass in contrained build environments
  * skip or fix some broken tests
  * ensure autoupdate functionality is disabled
  * Explicitly set the provisioning mode to "cloud-init"
  * Update to standards version 4.7.0
  * update vcs links to reflect team maintainership
  * Add noahm to uploaders
  * debian/control: update description
  * override known lintian warnings
  * Remove python3-pkg-resources from Depends (Closes: #1083986)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 11 Oct 2024 16:10:25 -0400

waagent (2.9.1.1-2) unstable; urgency=medium

  * Drop completely broken new systemd unit selection.
    (closes: #1072878)
  * Run tests during build, but ignore result.
  * Fix missing Pre-Depends.

 -- Bastian Blank <waldi@debian.org>  Sun, 09 Jun 2024 21:01:38 +0200

waagent (2.9.1.1-1) unstable; urgency=medium

  * New upstream version.
  * Do not require root.
  * Set maintainer to debian-cloud.
  * Install udev files into /usr.  (closes: #1058825)

 -- Bastian Blank <waldi@debian.org>  Wed, 05 Jun 2024 13:52:56 +0200

=== debian/control ===
Source: waagent
Section: admin
Priority: optional
Maintainer: Debian Cloud Team <debian-cloud@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>,
 Noah Meyerhans <noahm@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 iproute2 <!nocheck>,
 mount <!nocheck>,
 openssl <!nocheck>,
 python3-crypt-r,
 python3,
 python3-distro,
 python3-mock <!nocheck>,
 python3-setuptools,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/Azure/WALinuxAgent
Vcs-Browser: https://salsa.debian.org/cloud-team/waagent
Vcs-Git: https://salsa.debian.org/cloud-team/waagent.git

Package: waagent
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends}, ${python3:Depends},
 ca-certificates,
 openssl,
 python3-crypt-r
Suggests:
 cloud-init,
 eject,
 fdisk | util-linux (<< 2.29.2-3~),
 iptables,
 openssh-server,
 parted,
 sudo,
Conflicts: network-manager, walinuxagent
Description: Virtual machine interaction with the Microsoft Azure cloud service
 The Microsoft Azure Linux VM Agent (waagent) manages virtual machine
 (VM) interaction with the Azure fabric controller.  This integration
 includes status reporting and extension execution for various
 API-driven activities.
 .
 More information on the agent and extension functionality is available at
 https://learn.microsoft.com/en-us/azure/virtual-machines/extensions/agent-linux
 and
 https://github.com/Azure/azure-linux-extensions
 .
 Provisioning is done by cloud-init.

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	rm -rf debian/waagent/usr/lib/python3*/dist-packages/tests/
 
 override_dh_auto_test:
-	true
+	dh_auto_test
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
  https://github.com/azure/WALinuxAgent/tags \
(?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
